API Documentation
API Endpoints/Paymentmethods

Run deregister on a paymentmethod, this will change the paymentmethod to active:false and disable it with the PSP (if linked).

POST
/paymentmethods/{id}/deregister
AuthorizationBasic <token>

Basic authentication is a simple authentication scheme built into the HTTP protocol. To use it, send your HTTP requests with an Authorization header that contains the word Basic followed by a space and a base64-encoded string username:password.Example: Authorization: Basic ZGVtbzpwQDU1dzByZA==

In: header

Path Parameters

idstring

Unique ID of paymentmethod provided by Abillify

Match^[0-9]+$

Empty Object

Response Body

curl -X POST "https://staging1.abillify.dev/api/paymentmethods/string/deregister" \
  -H "Content-Type: application/json" \
  -d '{}'
const body = JSON.stringify({})

fetch("https://staging1.abillify.dev/api/paymentmethods/string/deregister", {
  body
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
  "strings"
)

func main() {
  url := "https://staging1.abillify.dev/api/paymentmethods/string/deregister"
  body := strings.NewReader(`{}`)
  req, _ := http.NewRequest("POST", url, body)
  req.Header.Add("Content-Type", "application/json")
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://staging1.abillify.dev/api/paymentmethods/string/deregister"
body = {}
response = requests.request("POST", url, json = body, headers = {
  "Content-Type": "application/json"
})

print(response.text)
{
  "client": "123456789",
  "created": "2022-07-29 17:23:47",
  "id": "123456789",
  "modified": "2022-07-29 17:23:47",
  "reference": "abcdefg",
  "committed": "2022-07-29 17:23:47",
  "meta": {},
  "identity": "123456789",
  "channel": "123456789",
  "paymentmethod": "123456789",
  "voucher": 1,
  "caseid": "123456789",
  "file": "123456789",
  "account": "123456789",
  "amount": "12345.45",
  "bookingdate": "2022-07-31",
  "cause": "NONE",
  "confirmed": false,
  "currency": "EUR",
  "exported": false,
  "external": [
    "some text"
  ],
  "fee": "12345.45",
  "kind": "PA",
  "label": "abcdefg",
  "method": "CC",
  "operations": "123456789",
  "parent": "123456789",
  "peer": "abcdefg",
  "processfile": "123456789",
  "result": "abcdefg",
  "resultcode": "123456789",
  "uniqueid": "abcdefg",
  "valuedate": "2022-07-31"
}
{
  "code": 400,
  "details": [
    {
      "error": "Value for field 'debtor' is of wrong type, expected bigint.",
      "fields": [
        "debtor"
      ],
      "hint": "Value must be a number or a string containing only a number."
    }
  ],
  "message": "InvalidValue, see error details",
  "name": "ClientError",
  "type": "ERR_INVALID_VALUE"
}
{
  "code": 400,
  "details": [
    {
      "error": "Value for field 'debtor' is of wrong type, expected bigint.",
      "fields": [
        "debtor"
      ],
      "hint": "Value must be a number or a string containing only a number."
    }
  ],
  "message": "InvalidValue, see error details",
  "name": "ClientError",
  "type": "ERR_INVALID_VALUE"
}